Upstream fix for ki18n_install_ts_files
[git/cygwin-packages/kf5-ki18n.git] / kf5-ki18n.cygport
1 inherit kf5
2
3 NAME="kf5-ki18n"
4 VERSION=5.35.0
5 RELEASE=2
6 CATEGORY="Libs"
7 SUMMARY="KDE 5 text internationalization library"
8 DESCRIPTION="KI18n provides functionality for internationalizing user interface
9 text in applications, based on the GNU Gettext translation system. It wraps the
10 standard Gettext functionality, so that the programmers and translators can use
11 the familiar Gettext tools and workflows."
12
13 PATCH_URI="5.35.0-install-ts.patch"
14
15 PKG_NAMES="libKF5I18n5 libKF5I18n-devel"
16 libKF5I18n5_CONTENTS="
17 usr/bin/cygKF5I18n-5.dll
18 ${QT5_PLUGINSDIR#/}
19 usr/share/doc/
20 usr/share/locale/
21 "
22 libKF5I18n_devel_REQUIRES="libQt5Core-devel"
23 libKF5I18n_devel_CONTENTS="
24 usr/include/KF5/KI18n/
25 usr/include/KF5/ki18n_version.h
26 usr/lib/cmake/KF5I18n/
27 ${QT5_MKSPECSDIR#/}/modules/qt_KI18n.pri
28 usr/lib/libKF5I18n.dll.a
29 "
30
31 CYGCMAKE_ARGS="-DGBP_SIP_COMMAND=NOTFOUND"
32
33 src_install() {
34 cd ${B}
35 cyginstall
36 chmod +x ${D}/usr/lib/cmake/KF5I18n/ts-pmap-compile.py
37 }
This page took 0.036824 seconds and 6 git commands to generate.